org.apache.torque.generator.variable

## Enum Variable.Scope

- java.lang.Object
- - java.lang.Enum<Variable.Scope>
  - - org.apache.torque.generator.variable.Variable.Scope

- All Implemented Interfaces:
    Serializable, Comparable<Variable.Scope>
  Enclosing class:
    Variable

      public static enum Variable.Scope
      extends Enum<Variable.Scope>

  The scope of a variable.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHILDREN` The scope of the variable is the current outlet and recursively all the outlets in the merge points accessed in the generation process.
    `FILE` The variable is visible throughout the generation process of this file.
    `GLOBAL` The variable is visible throughout the whole generation process.
    `OUTLET` The scope of the variable is limited to the current outlet.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Variable.Scope` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Variable.Scope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OUTLET

          public static final Variable.Scope OUTLET

      The scope of the variable is limited to the current outlet.

    - #### CHILDREN

          public static final Variable.Scope CHILDREN

      The scope of the variable is the current outlet and recursively all the outlets in the merge points accessed in the generation process.

    - #### FILE

          public static final Variable.Scope FILE

      The variable is visible throughout the generation process of this file.

    - #### GLOBAL

          public static final Variable.Scope GLOBAL

      The variable is visible throughout the whole generation process.

  - ### Method Detail

    - #### values

          public static Variable.Scope[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Variable.Scope c : Variable.Scope.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Variable.Scope valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.